<?php

/*  Alternate WebshopEngine
(C) 2009-2014 by Alternate Tools
-----------------------------------------------------

File:         edit_footer.php
Description:  Administrative module to edit footer

*/

    include "../modules/mod_config.php";
    include "../modules/mod_admin.php";
    include "../modules/class_translation.php";
    include "../modules/class_textfile.php";

    $cFile = new cTextFile;
    $bErrorOccured = false;
    $errorString = "";

    // Check privilege
    check_login();
    if (user_is_customer() == true)
    {
        log_out();
        return;
    }
    if (user_is_reporter() == true)
    {
        header('location: '. $ADMIN_CONFIG_SITE);
        return;
    }

    // Cancel footer?
    if (isset($_POST['footer_Cancel']))
    {
        header('location: ' . $ADMIN_CONFIG_SITE);
        return;
    }
    
    // Save footer?
    if (isset($_POST['footer_Save']))
    {
        $cTrans->SetTranslationFile($SHOP_LANGUAGE_FILE);
        // Main title
        if (isset($_POST['footer_main']) && $_POST['footer_main'] != "")
            $cFile->SaveToFile($FOOTER_CONFIG_FILE, $_POST['footer_main']);
        else
            $cFile->SaveToFile($FOOTER_CONFIG_FILE, "");  // Auto value

        log_message ('User ' . get_user_name() . ' saved footer');
        header('location: ' . $ADMIN_CONFIG_SITE);
        return;
    }

    // Display
    print_admin_header($cTrans->GetTranslation('admin_footer_head'), true, $cTrans->GetTranslation('admin_login_logout'), true, $cTrans->GetTranslation('admin_backtomain'),
                       $ADMIN_CONFIG_SITE, $cTrans->GetTranslation('admin_config_button'), false);
    // Enable editor?
    if ($ADMIN_USEWYSIGWYG == true)
        print_wysiwyg_header();
    finish_admin_header($cTrans->GetTranslation('admin_footer_head'), true, $cTrans->GetTranslation('admin_login_logout'), true, $cTrans->GetTranslation('admin_backtomain'),
                       $ADMIN_CONFIG_SITE, $cTrans->GetTranslation('admin_config_button'));
    print_help_link($ADMIN_HELP_FILE . '#n2-7', $cTrans->GetTranslation('admin_help'));
    if ($errorString != "")
        print_error_message ($errorString);
        
    echo_r ('<form method="post" action="">');
    // Webshop footer title
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_footer_main') . ': </td>');
    echo_r ('    <td>');
    echo_r ('      <textarea cols="100" rows="20" name="footer_main" wrap="off">' . $cFile->LoadFromFile($FOOTER_CONFIG_FILE) . '</textarea>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');

    print_bottom_links("footer_Save", $cTrans->GetTranslation('admin_save'),
                       "footer_Cancel", $cTrans->GetTranslation('admin_cancel'), false);
    echo_r ('</form>');

    print_admin_footer();
?>