<?php

/*  Alternate WebshopEngine
(C) 2009-2014 by Alternate Tools
-----------------------------------------------------

File:         edit_titles.php
Description:  Administrative module to edit titles

*/

    include "../modules/mod_config.php";
    include "../modules/mod_admin.php";
    include "../modules/class_translation.php";
    include "../modules/class_textfile.php";

    $cFile = new cTextFile;
    $bErrorOccured = false;
    $errorString = "";

    // Check privilege
    check_login();
    if (user_is_customer() == true)
    {
        log_out();
        return;
    }
    if (user_is_reporter() == true)
    {
        header('location: '. $ADMIN_CONFIG_SITE);
        return;
    }

    // Cancel titles?
    if (isset($_POST['titles_Cancel']))
    {
        header('location: ' . $ADMIN_CONFIG_SITE);
        return;
    }
    
    // Save titles?
    if (isset($_POST['titles_Save']))
    {
        $cTrans->SetTranslationFile($SHOP_LANGUAGE_FILE);
        // Main title
        if (isset($_POST['title_main']) && $_POST['title_main'] != "")
            $cFile->SaveToFile($MAINTITLE_CONFIG_FILE, $_POST['title_main']);
        else
            $cFile->SaveToFile($MAINTITLE_CONFIG_FILE, $cTrans->GetTranslation('shop_list_title'));
        // Details title
        if (isset($_POST['title_details']) && $_POST['title_details'] != "")
            $cFile->SaveToFile($DETAILSTITLE_CONFIG_FILE, $_POST['title_details']);
        else
            $cFile->SaveToFile($DETAILSTITLE_CONFIG_FILE, $cTrans->GetTranslation('shop_detail_title'));
        // Preview title
        if (isset($_POST['title_preview']) && $_POST['title_preview'] != "")
            $cFile->SaveToFile($PREVIEWTITLE_CONFIG_FILE, $_POST['title_preview']);
        else
            $cFile->SaveToFile($PREVIEWTITLE_CONFIG_FILE, $cTrans->GetTranslation(''));
        // Basket title
        if (isset($_POST['title_basket']) && $_POST['title_basket'] != "")
            $cFile->SaveToFile($BASKETTITLE_CONFIG_FILE, $_POST['title_basket']);
        else
            $cFile->SaveToFile($BASKETTITLE_CONFIG_FILE, $cTrans->GetTranslation('shop_basket_title'));
        // Order title
        if (isset($_POST['title_order']) && $_POST['title_order'] != "")
            $cFile->SaveToFile($ORDERTITLE_CONFIG_FILE, $_POST['title_order']);
        else
            $cFile->SaveToFile($ORDERTITLE_CONFIG_FILE, $cTrans->GetTranslation('shop_order_title'));
        // Terms title
        if (isset($_POST['title_terms']) && $_POST['title_terms'] != "")
            $cFile->SaveToFile($TERMSTITLE_CONFIG_FILE, $_POST['title_terms']);
        else
            $cFile->SaveToFile($TERMSTITLE_CONFIG_FILE, $cTrans->GetTranslation('shop_terms_title'));
        // Imprint title
        if (isset($_POST['title_imprint']) && $_POST['title_imprint'] != "")
            $cFile->SaveToFile($IMPRINTTITLE_CONFIG_FILE, $_POST['title_imprint']);
        else
            $cFile->SaveToFile($IMPRINTTITLE_CONFIG_FILE, $cTrans->GetTranslation('shop_imprint_title'));
        // Contact title
        if (isset($_POST['title_contact']) && $_POST['title_contact'] != "")
            $cFile->SaveToFile($CONTACTTITLE_CONFIG_FILE, $_POST['title_contact']);
        else
            $cFile->SaveToFile($CONTACTTITLE_CONFIG_FILE, $cTrans->GetTranslation('shop_contact_title'));
        // Help title
        if (isset($_POST['title_help']) && $_POST['title_help'] != "")
            $cFile->SaveToFile($HELPTITLE_CONFIG_FILE, $_POST['title_help']);
        else
            $cFile->SaveToFile($HELPTITLE_CONFIG_FILE, $cTrans->GetTranslation('shop_help_title'));

        log_message ('User ' . get_user_name() . ' saved titles');
        header('location: ' . $ADMIN_CONFIG_SITE);
        return;
    }

    // Display
    print_admin_header($cTrans->GetTranslation('admin_titles_head'), true, $cTrans->GetTranslation('admin_login_logout'), true, $cTrans->GetTranslation('admin_backtomain'),
                           $ADMIN_CONFIG_SITE, $cTrans->GetTranslation('admin_config_button'), false);
    // Enable editor?
    if ($ADMIN_USEWYSIGWYG == true)
        print_wysiwyg_header();
    finish_admin_header($cTrans->GetTranslation('admin_titles_head'), true, $cTrans->GetTranslation('admin_login_logout'), true, $cTrans->GetTranslation('admin_backtomain'),
                           $ADMIN_CONFIG_SITE, $cTrans->GetTranslation('admin_config_button'));
    print_help_link($ADMIN_HELP_FILE . '#n2-7', $cTrans->GetTranslation('admin_help'));
    if ($errorString != "")
        print_error_message ($errorString);
        
    echo_r ('<form method="post" action="">');
    // Webshop main title
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_titles_maintitle') . ': </td>');
    echo_r ('    <td>');
    echo_r ('      <textarea cols="100" rows="5" name="title_main" wrap="off">' . $cFile->LoadFromFile($MAINTITLE_CONFIG_FILE) . '</textarea>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Webshop details title
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_titles_detailstitle') . ': </td>');
    echo_r ('    <td>');
    echo_r ('      <textarea cols="100" rows="5" name="title_details" wrap="off">' . $cFile->LoadFromFile($DETAILSTITLE_CONFIG_FILE) . '</textarea>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Webshop preview title
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_titles_previewtitle') . ': </td>');
    echo_r ('    <td>');
    echo_r ('      <textarea cols="100" rows="5" name="title_preview" wrap="off">' . $cFile->LoadFromFile($PREVIEWTITLE_CONFIG_FILE) . '</textarea>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Webshop basket title
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_titles_baskettitle') . ': </td>');
    echo_r ('    <td>');
    echo_r ('      <textarea cols="100" rows="5" name="title_basket" wrap="off">' . $cFile->LoadFromFile($BASKETTITLE_CONFIG_FILE) . '</textarea>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Webshop order title
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_titles_ordertitle') . ': </td>');
    echo_r ('    <td>');
    echo_r ('      <textarea cols="100" rows="5" name="title_order" wrap="off">' . $cFile->LoadFromFile($ORDERTITLE_CONFIG_FILE) . '</textarea>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Webshop terms title
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_titles_termstitle') . ': </td>');
    echo_r ('    <td>');
    echo_r ('      <textarea cols="100" rows="5" name="title_terms" wrap="off">' . $cFile->LoadFromFile($TERMSTITLE_CONFIG_FILE) . '</textarea>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Webshop imprint title
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_titles_imprinttitle') . ': </td>');
    echo_r ('    <td>');
    echo_r ('      <textarea cols="100" rows="5" name="title_imprint" wrap="off">' . $cFile->LoadFromFile($IMPRINTTITLE_CONFIG_FILE) . '</textarea>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Webshop contact title
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_titles_contacttitle') . ': </td>');
    echo_r ('    <td>');
    echo_r ('      <textarea cols="100" rows="5" name="title_contact" wrap="off">' . $cFile->LoadFromFile($CONTACTTITLE_CONFIG_FILE) . '</textarea>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');
    // Webshop help title
    echo_r ('<hr>');
    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td width="30%">' . $cTrans->GetTranslation('admin_titles_helptitle') . ': </td>');
    echo_r ('    <td>');
    echo_r ('      <textarea cols="100" rows="5" name="title_help" wrap="off">' . $cFile->LoadFromFile($HELPTITLE_CONFIG_FILE) . '</textarea>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');

    print_bottom_links("titles_Save", $cTrans->GetTranslation('admin_save'),
                       "titles_Cancel", $cTrans->GetTranslation('admin_cancel'), false);
    echo_r ('</form>');

    print_admin_footer();
?>