<?php

/*  Alternate WebshopEngine
(C) 2009-2014 by Alternate Tools
-----------------------------------------------------

File:         list_users.php
Description:  Administrative overview of all users/customers

*/

    include "../modules/class_user.php";
    include "../modules/class_userlist.php";
    include "../modules/mod_config.php";
    include "../modules/mod_admin.php";
    include "../modules/class_translation.php";

    // Check privileges
    check_login();
    if (user_is_customer() || isset ($_POST['usrl_Cancel']))
    {
        header('location: ' . $ADMIN_MAIN_SITE);
        return;
    }
    if (user_is_reporter() && $usrlMode == "user")
    {
        header('location: ' . $ADMIN_MAIN_SITE);
        return;
    }

    // User/customer mode?
    $usrlMode="user";
    if (isset($_GET['mode']) && $_GET['mode'] != "")
        $usrlMode = $_GET['mode'];
    else if (isset($_POST['usrl_mode']) && $_POST['usrl_mode'] != "")
        $usrlMode = $_POST['usrl_mode'];

    // Create new user?
    if (isset ($_POST['usrl_CreateUser']))
    {
        header ('Location: ' . $ADMIN_USREDT_SITE . '?action=new&mode=' . $usrlMode);
        return;
    }
    // Edit user?
    if (isset ($_POST['usrl_EditUser']))
    {
        header ('Location: ' . $ADMIN_USREDT_SITE . '?id=' . $_POST['usrl_UserId'] . '&action=edit&mode=' .$usrlMode);
        return;
    }
    // Delete user?
    if (isset ($_POST['usrl_DeleteUser']))
    {
        header ('Location: ' . $ADMIN_USRMOD_SITE . '?id=' . $_POST['usrl_UserId'] . '&action=delete&mode=' .$usrlMode);
        return;
    }
    // Lock user?
    if (isset ($_POST['usrl_LockUser']))
    {
        header ('Location: ' . $ADMIN_USRMOD_SITE . '?id=' . $_POST['usrl_UserId'] . '&action=lock&mode=' .$usrlMode);
        return;
    }
    // Unlock user?
    if (isset ($_POST['usrl_UnlockUser']))
    {
        header ('Location: ' . $ADMIN_USRMOD_SITE . '?id=' . $_POST['usrl_UserId'] . '&action=unlock&mode=' .$usrlMode);
        return;
    }

    // Display
    if ($usrlMode == "user")
    {
        print_admin_header($cTrans->GetTranslation('admin_usrl_head'), true, $cTrans->GetTranslation('admin_login_logout'), true, $cTrans->GetTranslation('admin_backtomain'));
        print_help_link($ADMIN_HELP_FILE . '#n1-6', $cTrans->GetTranslation('admin_help'));
    }
    else
    {
        print_admin_header($cTrans->GetTranslation('admin_usrl_headcustomer'), true, $cTrans->GetTranslation('admin_login_logout'), true, $cTrans->GetTranslation('admin_backtomain'));
        print_help_link($ADMIN_HELP_FILE . '#n1-4', $cTrans->GetTranslation('admin_help'));
    }
    $usr = new cUser;
    $usrList = new cUserList;
    $usrFilter = $FILTER_ALL;
    if (isset ($_GET['filter']) && $_GET['filter'] != "")
        $usrFilter = $_GET['filter'];
    else if (isset ($_POST['usrl_filter']) && $_POST['usrl_filter'] != "")
        $usrFilter = $_POST['usrl_filter'];

    // User/customer mode
    if ($usrlMode == "user")
    {
        $usr->SetFolder($USER_FOLDER);
        $usrList->SetFolder($USER_FOLDER);
    }
    else
    {
        $usr->SetFolder($CUSTOMER_FOLDER);
        $usrList->SetFolder($CUSTOMER_FOLDER);
    }

    $usrList->LoadUserList($usrFilter);
    $list = $usrList->GetUserList();
    rsort($list);

    echo_r ('<form method="post" action="">');
    echo_r ('<table border="0" width="100%">');
    echo_r ('<tr>');
    if (user_is_admin() == true || $usrlMode == "user")
    {
        if ($usrlMode == "user")
            echo_r ('  <td width="20%"><input type="submit" class="bottom_btn" value="' . $cTrans->GetTranslation('admin_usrl_createnew') . '" name="usrl_CreateUser"></td>');
        else
            echo_r ('  <td width="20%"><input type="submit" class="bottom_btn" value="' . $cTrans->GetTranslation('admin_usrl_createnewcust') . '" name="usrl_CreateUser"></td>');
    }
    echo_r ('  <td width="10%">' . $cTrans->GetTranslation('admin_filter') . '</td>');
    echo_r ('  <td>');
    echo_r ('  <select name="usrl_filter" onChange="submit();">');
    echo   ('  <option value="' . $FILTER_ALL. '"');
    if ($usrFilter == $FILTER_ALL)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_all') . '</option>');
    echo   ('  <option value="' . $FILTER_UNLOCKED. '"');
    if ($usrFilter == $FILTER_UNLOCKED)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_unlocked') . '</option>');
    echo   ('  <option value="' . $FILTER_LOCKED. '"');
    if ($usrFilter == $FILTER_LOCKED)
        echo (' selected');
    echo_r ('>' . $cTrans->GetTranslation('admin_locked') . '</option>');
    echo_r ('  </select>');
    echo_r ('  </td>');
    echo_r ('</tr>');
    echo_r ('</table>');
    echo_r ('</form>');

    foreach ($list as $value)
    {
        $usr->LoadUserFromId($value);
        
        echo_r('<hr>');
        echo_r('<table width="100%" border="0">');
        echo_r('  <tr>');
        echo_r('    <td width="16%">');
        echo  ('      <a href="' . $ADMIN_USREDT_SITE . '?id=' . $usr->GetId() . '&amp;action=edit&amp;mode=' . $usrlMode . '">');
        if ($usr->GetType() == $USERTYPE_CUSTOMER)
            echo_r('<img src="' . $CUSTOMER_IMAGE . '" title="' . $cTrans->GetTranslation('admin_edit') .'" alt=""></a>');
        else if ($usr->GetType() == $USERTYPE_REPORTER)
            echo_r('<img src="' . $REPORTER_IMAGE . '" title="' . $cTrans->GetTranslation('admin_edit') .'" alt=""></a>');
        else if ($usr->GetType() == $USERTYPE_SITEOWNER)
            echo_r('<img src="' . $OWNER_IMAGE . '" title="' . $cTrans->GetTranslation('admin_edit') .'" alt=""></a>');
        else if ($usr->GetType() == $USERTYPE_ADMINISTRATOR)
            echo_r('<img src="' . $ADMIN_IMAGE . '" title="' . $cTrans->GetTranslation('admin_edit') .'" alt=""></a>');
        if ($usr->IsLocked() == true)
            echo_r('       <img src="' . $LOCKED_IMAGE . '" title="' . $cTrans->GetTranslation('admin_locked') . '" alt="">');
        if ($usr->WantsNewsletter() == true)
            echo_r('       <img src="' . $NEWSLETTER_IMAGE . '" title="' . $cTrans->GetTranslation('admin_usr_wantsnewsletter') . '" alt="">');
        echo_r('    </td>');
        echo_r('    <td width="27%">');
        echo_r('       ' . $cTrans->GetTranslation('admin_usr_id') . ': ' . $usr->GetId() . '<br>');
        if ($usr->GetAlias() != "") // If no alias, use name
            echo_r('       ' . $cTrans->GetTranslation('admin_usr_alias') . ': ' . $usr->GetAlias());
        else
            echo_r('       ' . $cTrans->GetTranslation('admin_usr_name') . ': ' . $usr->GetFirstName() . ' ' . $usr->GetLastName());
        echo_r('    </td>');
        echo_r('    <td width="27%">');
        echo_r('       ' . $cTrans->GetTranslation('admin_usr_email') . ': ' . $usr->GetEmail() . '<br>');
        echo_r('       ' . $cTrans->GetTranslation('admin_usr_type') . ': ');
        if ($usr->GetType() == $USERTYPE_CUSTOMER)
            echo_r($cTrans->GetTranslation('admin_usr_typecustomer'));
        else if ($usr->GetType() == $USERTYPE_REPORTER)
            echo_r($cTrans->GetTranslation('admin_usr_typereporter'));
        else if ($usr->GetType() == $USERTYPE_SITEOWNER)
            echo_r($cTrans->GetTranslation('admin_usr_typeowner'));
        else if ($usr->GetType() == $USERTYPE_ADMINISTRATOR)
            echo_r($cTrans->GetTranslation('admin_usr_typeadmin'));
        echo_r('    </td>');
        echo_r('    <td width="30%">');
        echo_r('    <form method="post" action="">');
        echo_r('    <input type="hidden" value="' . $usr->GetId() . '" name="usrl_UserId">  ');
        if ($usr->GetType() != 3 || user_is_admin() == true)
        {
            echo_r('    <input type="submit" class="side_btn" value="' . $cTrans->GetTranslation('admin_edit') . '" name="usrl_EditUser">  ');
            if ($usr->IsLocked() == true)
            {
                echo_r('    <input type="submit" class="side_btn" value="' . $cTrans->GetTranslation('admin_unlock') . '" name="usrl_UnlockUser">  ');
            }
            else
            {
                echo_r('    <input type="submit" class="side_btn" value="' . $cTrans->GetTranslation('admin_lock') . '" name="usrl_LockUser">  ');
            }
        }
        if (user_is_admin() == true)
            echo_r('    <input type="submit" class="side_btn" value="' . $cTrans->GetTranslation('admin_delete') . '" name="usrl_DeleteUser">  ');
        echo_r('    </form>');
        echo_r('    </td>');
        echo_r('  </tr>');
        echo_r('</table>');
        echo_r('<input type="hidden" name="usrl_mode" value="' . $usrlMode . '">');
    }
    print_bottom_links("usrl_Cancel", $cTrans->GetTranslation('admin_ok'));

    print_admin_footer();
?>